#!/bin/sh
: '
This file is part of HTD (HayzenTech Database)

Copyright (C) 2011 - 2013 Andrew Hayzen

HTD is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

HTD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with HTD. If not, see <http://www.gnu.org/licenses/>
'

PACKAGE_NAME="sphinx-common"

if dpkg -s "$PACKAGE_NAME" 2>/dev/null 1>/dev/null; then
  echo "Package $PACKAGE_NAME is installed."
else
  echo "Package $PACKAGE_NAME isn't installed."
  sudo apt-get install $PACKAGE_NAME
fi 

sphinx-build -c ./docs -b html ./docs ./build/docs

read -p "Press Enter to exit" null